local math = require("math")
local table = table or require "table"
local HONEY_EAT_MAX = 5
local STUFF_EAT_MAX = 30
local RAID_CHANCE = 8

fv.core.animalsConfig.bear.visionRadius = 35

require 'pbox_WildlifeRaidBuilding'

function fv.core.Bear.update(a)
	if math.random(1,100) < RAID_CHANCE then
		local targetSelect = math.random(1,4)
		if targetSelect == 1 then
			local apiaries = findBuildingsWithType(a.pos, a.cfg.visionRadius, "apiary")
			local apiariesCount = table.getn(apiaries)
			for i = 1, apiariesCount, 1 do
				local apiary = apiaries[i]
				if apiary then
					local honeyCount = apiary:getResourceFree("honey")
					if honeyCount > 0 then
						goToBuildingWithAnimation(a, apiary, getRandAnimation(a:getAnimations("walk")))
						a:addTaskPlayAnimationOnce(getRandAnimation(a:getAnimations("eat")))
						a:addTaskRemoveResourceFromBuilding(apiary, "honey", math.min(honeyCount, HONEY_EAT_MAX))
						a:addTaskPlayAnimation(getRandAnimation(a:getAnimations("stay")))
						a:addTaskWait(5000)
						return
					end
				end
			end
		else
			pbox_WildlifeRaidBuilding(a, STUFF_EAT_MAX)
		end		
	end
	goToWithAnimation(a, a:findRandomWalkPos(10, 5, 30), getRandAnimation(a:getAnimations("walk")))
	a:addTaskPlayAnimationOnce(getRandAnimation(a:getAnimations("eat")))
	a:addTaskPlayAnimation(getRandAnimation(a:getAnimations("stay")))
	a:addTaskWait(5000)	
end
