local math = require("math")
local table = table or require "table"

function fv.core.WildAnimal.update(a, dt)
  
	if a.cfg.fearPeople then
		local sumPos = Vec2(0, 0)
		local nearestWorkers = findWorkers(a, a.cfg.visionRadius)
		local workersCount = table.getn(nearestWorkers)
		
		local dangerObjectsCount = 0
		for i = 1, workersCount, 1 do
			local w = nearestWorkers[i]
			if w.workRole ~= "hunter" then
				sumPos = sumPos + w.pos
				dangerObjectsCount = dangerObjectsCount + 1
			end
		end
		
		if dangerObjectsCount > 0 then
			local dangerPos = sumPos/dangerObjectsCount
			local safePos = findFarWayPoint(a.pos3D, dangerPos, 50)
			goToWithAnimation(a, safePos, getRandAnimation(a:getAnimations("walk")))
			a:addTaskPlayAnimation(getRandAnimation(a:getAnimations("stay")))
			return
		end
	end
	
	if a.cfg.name == "boar" then
		pbox_BoarRaidSomething(a)
	end
		
	goToWithAnimation(a, a:findRandomWalkPos(10, 5, 30), getRandAnimation(a:getAnimations("walk")))
	a:addTaskPlayAnimationOnce(getRandAnimation(a:getAnimations("eat")))
	a:addTaskPlayAnimation(getRandAnimation(a:getAnimations("stay")))
	a:addTaskWait(5000)	
end
