pbox_WildlifeEatStuffAlarmTask = Class("pbox_WildlifeEatStuffAlarmTask", fv.core.Task)

local function getLogText(str, resourceName, resourceCount, animalName)
	str = localize(str)
	str = str:gsub("%%RES_NAME%%", resourceName)
	str = str:gsub("%%RES_COUNT%%", resourceCount)
    str = str:gsub("%%ANIMAL_NAME%%", animalName)
	return str
end

function pbox_WildlifeEatStuffAlarmTask:update()
	local LOG_RESOURCES = fv.core.LOG_RESOURCES
	local LOG_COLOR_WARNING = fv.core.LOG_COLOR_WARNING

	local resourceName = self.resourceName
	local resourceCount = self.resourceCount
	local animalName = self:getOwner().cfg.name
	local building = getBuilding(self.buildingUid)
	local output = getLogText("@log_pbox_animalHasEaten@", resourceName, resourceCount, animalName)

	building:logUI(output, LOG_RESOURCES, LOG_COLOR_WARNING)

	return fv.core.Task.COMPLETE
end