local math = require("math")
local table = table or require "table"
local HOUSE_FREE_CELL = fv.core.HOUSE_FREE_CELL
local STUFF_EAT_MAX = 15
local RAID_CHANCE = 18

fv.core.animalsConfig.wolf.visionRadius = 60

require 'pbox_WildlifeRaidBuilding'

function fv.core.Wolf.update(a)
	if math.random(1,100) < RAID_CHANCE then
		local targetSelect = math.random(1,3)
		if targetSelect >= 2 then
		-- do original wolf stuff
			local pastures = findBuildingsWithType(a.pos, a.cfg.visionRadius, "pasture")
			local pasturesCount = table.getn(pastures)
			for i = 1, pasturesCount, 1 do
				local pasture = pastures[i]
				if pasture then
					if pasture.animalsCount > 0 then
						local animal = pasture:getAnimal(0)
						if animal then
							if animal.reserved == false then --if isAnimalReserved(animal) == false then
								local point = findRandPoint(pasture.pos, math.min(pasture.widthDefault, pasture.lengthDefault)*0.5, HOUSE_FREE_CELL)
								if canWalkToPoint(a, point) then
									local walkAnimation = getRandAnimation(a:getAnimations("walk"))
									local stayAnimation = getRandAnimation(a:getAnimations("stay"))
								
									a:addTaskReserveAnimal(animal, true)
									goToWithAnimation(a, point, walkAnimation)
									a:addTaskPlayAnimation(stayAnimation)
									a:addTaskWait(5000)
									--a:addTaskPlayAnimation(walkAnimation)
									a:addTaskWalkToLiveObject(animal, walkAnimation, false)
									local data = {}
									data["uid"] = animal.uid
									data["state"] = 0
									a:addTaskScript("taskKillAnimal", data)
									a:addTaskReserveAnimal(animal, false)
									a:addTaskPlayAnimation(stayAnimation)
									return
								end
							end
						end
					end
				end
			end
		else
			pbox_WildlifeRaidBuilding(a, STUFF_EAT_MAX)
		end	
	end
	
	goToWithAnimation(a, a:findRandomWalkPos(10, 5, 30), getRandAnimation(a:getAnimations("walk")))
	a:addTaskPlayAnimation(getRandAnimation(a:getAnimations("stay")))
	a:addTaskWait(5000)
	
end
